"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatMarkup = void 0;
const resolve_value_js_1 = require("./resolve-value.js");
function formatMarkup(ctx, { kind, name, options }) {
    const source = kind === 'close' ? `/${name}` : kind === 'open' ? `#${name}` : `#${name}/`;
    const part = { type: 'markup', kind, source, name };
    if (options?.length) {
        part.options = {};
        for (const { name, value } of options) {
            let rv = (0, resolve_value_js_1.resolveValue)(ctx, value);
            if (typeof rv === 'object' && typeof rv?.valueOf === 'function') {
                const vv = rv.valueOf();
                if (vv !== rv)
                    rv = vv;
            }
            part.options[name] = rv;
        }
    }
    return part;
}
exports.formatMarkup = formatMarkup;
