import type * as Model from './types.js';
export type MessageParserOptions = {
    /**
     * Parse a private annotation starting with `^` or `&`.
     * By default, private annotations are parsed as unsupported annotations.
     *
     * @returns `pos` as the position at the end of the `annotation`,
     *   not including any trailing whitespace.
     */
    privateAnnotation?: (source: string, pos: number) => {
        pos: number;
        annotation: any;
    };
};
/**
 * A MessageFormat 2 parser for message formatting.
 *
 * Parses the `source` syntax representation of a message into
 * its corresponding data model representation.
 * Throws on syntax errors, but does not check for data model errors.
 */
export declare function parseMessage(source: string, opt?: MessageParserOptions): Model.Message;
