"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveExpression = void 0;
const resolve_function_annotation_js_1 = require("./resolve-function-annotation.js");
const resolve_literal_js_1 = require("./resolve-literal.js");
const resolve_unsupported_annotation_js_1 = require("./resolve-unsupported-annotation.js");
const resolve_variable_js_1 = require("./resolve-variable.js");
function resolveExpression(ctx, { arg, annotation }) {
    if (annotation) {
        return annotation.type === 'function'
            ? (0, resolve_function_annotation_js_1.resolveFunctionAnnotation)(ctx, arg, annotation)
            : (0, resolve_unsupported_annotation_js_1.resolveUnsupportedAnnotation)(ctx, arg, annotation);
    }
    switch (arg?.type) {
        case 'literal':
            return (0, resolve_literal_js_1.resolveLiteral)(ctx, arg);
        case 'variable':
            return (0, resolve_variable_js_1.resolveVariableRef)(ctx, arg);
        default:
            // @ts-expect-error - should never happen
            throw new Error(`Unsupported expression: ${arg?.type}`);
    }
}
exports.resolveExpression = resolveExpression;
