"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveUnsupportedAnnotation = void 0;
const errors_js_1 = require("../errors.js");
const fallback_js_1 = require("../functions/fallback.js");
const resolve_value_js_1 = require("./resolve-value.js");
function resolveUnsupportedAnnotation(ctx, operand, { source = '�' }) {
    const sigil = source[0];
    const msg = `Reserved ${sigil} annotation is not supported`;
    ctx.onError(new errors_js_1.MessageResolutionError('unsupported-annotation', msg, sigil));
    return (0, fallback_js_1.fallback)((0, resolve_value_js_1.getValueSource)(operand) ?? sigil);
}
exports.resolveUnsupportedAnnotation = resolveUnsupportedAnnotation;
