import type { Context } from '../format-context.js';
import { MessageValue } from '../functions/index.js';
import type { Expression, VariableRef } from './types.js';
/**
 * Declarations aren't resolved until they're requierd,
 * and their resolution order matters for variable resolution.
 * This internal class is used to store any required data,
 * and to allow for `instanceof` detection.
 * @private
 */
export declare class UnresolvedExpression {
    expression: Expression;
    scope: Record<string, unknown> | undefined;
    constructor(expression: Expression, scope?: Record<string, unknown>);
}
/**
 * Get the raw value of a variable.
 * Resolves declarations as necessary
 *
 * @internal
 * @returns `unknown` or `any` for input values;
 *   `MessageValue` for `.input` and `.local` declaration values.
 */
export declare function lookupVariableRef(ctx: Context, { name }: VariableRef): unknown;
export declare function resolveVariableRef(ctx: Context, ref: VariableRef): MessageValue;
