"use strict";
/* eslint-disable @typescript-eslint/no-explicit-any */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isVariableRef = exports.isUnsupportedAnnotation = exports.isSelectMessage = exports.isPatternMessage = exports.isMessage = exports.isMarkup = exports.isLiteral = exports.isFunctionAnnotation = exports.isExpression = exports.isCatchallKey = void 0;
/** @beta */
const isCatchallKey = (key) => !!key && typeof key === 'object' && key.type === '*';
exports.isCatchallKey = isCatchallKey;
/** @beta */
const isExpression = (part) => !!part && typeof part === 'object' && part.type === 'expression';
exports.isExpression = isExpression;
/** @beta */
const isFunctionAnnotation = (part) => !!part && typeof part === 'object' && part.type === 'function';
exports.isFunctionAnnotation = isFunctionAnnotation;
/** @beta */
const isLiteral = (part) => !!part && typeof part === 'object' && part.type === 'literal';
exports.isLiteral = isLiteral;
/** @beta */
const isMarkup = (part) => !!part && typeof part === 'object' && part.type === 'markup';
exports.isMarkup = isMarkup;
/** @beta */
const isMessage = (msg) => !!msg &&
    typeof msg === 'object' &&
    (msg.type === 'message' || msg.type === 'select');
exports.isMessage = isMessage;
/** @beta */
const isPatternMessage = (msg) => msg.type === 'message';
exports.isPatternMessage = isPatternMessage;
/** @beta */
const isSelectMessage = (msg) => msg.type === 'select';
exports.isSelectMessage = isSelectMessage;
/** @beta */
const isUnsupportedAnnotation = (part) => !!part && typeof part === 'object' && part.type === 'unsupported-annotation';
exports.isUnsupportedAnnotation = isUnsupportedAnnotation;
/** @beta */
const isVariableRef = (part) => !!part && typeof part === 'object' && part.type === 'variable';
exports.isVariableRef = isVariableRef;
