"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.string = void 0;
const utils_js_1 = require("./utils.js");
/**
 * Accepts any input, and parses any non-string value using `String()`.
 * For no input, resolves its value to an empty string.
 * On error, resolves to a fallback value.
 *
 * @beta */
function string({ locales, source }, options, input) {
    const str = input === undefined ? '' : String(input);
    const [locale] = (0, utils_js_1.mergeLocales)(locales, input, options);
    return {
        type: 'string',
        source,
        locale,
        selectKey: keys => (keys.has(str) ? str : null),
        toParts: () => [{ type: 'string', source, locale, value: str }],
        toString: () => str,
        valueOf: () => str
    };
}
exports.string = string;
