/**
 * Utility function for custom functions.
 * Cast a value as a Boolean,
 * unwrapping objects using their `valueOf()` methods.
 * Also accepts `'true'` and `'false'`.
 * Throws a `RangeError` for invalid inputs.
 *
 * @beta
 */
export declare function asBoolean(value: unknown): boolean;
/**
 * Utility function for custom functions.
 * Cast a value as a positive integer,
 * unwrapping objects using their `valueOf()` methods.
 * Also accepts JSON string reprentations of integers.
 * Throws a `RangeError` for invalid inputs.
 *
 * @beta
 */
export declare function asPositiveInteger(value: unknown): number;
/**
 * Utility function for custom functions.
 * Cast a value as a string,
 * unwrapping objects using their `valueOf()` methods.
 * Throws a `RangeError` for invalid inputs.
 *
 * @beta
 */
export declare function asString(value: unknown): string;
/**
 * Utility function for custom functions.
 * Merge the locales set for the message,
 * an `options` property on the input,
 * and the `locale` option of the expression.
 *
 * @beta
 */
export declare function mergeLocales(locales: string[], input: unknown, options: Record<string, unknown> | null): string[];
