"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageFormat = exports.MessageSyntaxError = exports.MessageSelectionError = exports.MessageResolutionError = exports.MessageError = exports.MessageDataModelError = exports.visit = exports.validate = exports.isVariableRef = exports.isUnsupportedAnnotation = exports.isSelectMessage = exports.isPatternMessage = exports.isMessage = exports.isMarkup = exports.isLiteral = exports.isFunctionAnnotation = exports.isExpression = exports.isCatchallKey = exports.stringifyMessage = exports.parseMessage = exports.cst = exports.messageFromCST = exports.stringifyCST = exports.parseCST = void 0;
var parse_cst_js_1 = require("./cst/parse-cst.js");
Object.defineProperty(exports, "parseCST", { enumerable: true, get: function () { return parse_cst_js_1.parseCST; } });
var stringify_cst_js_1 = require("./cst/stringify-cst.js");
Object.defineProperty(exports, "stringifyCST", { enumerable: true, get: function () { return stringify_cst_js_1.stringifyCST; } });
var from_cst_js_1 = require("./data-model/from-cst.js");
Object.defineProperty(exports, "messageFromCST", { enumerable: true, get: function () { return from_cst_js_1.messageFromCST; } });
Object.defineProperty(exports, "cst", { enumerable: true, get: function () { return from_cst_js_1.cst; } });
var parse_js_1 = require("./data-model/parse.js");
Object.defineProperty(exports, "parseMessage", { enumerable: true, get: function () { return parse_js_1.parseMessage; } });
var stringify_js_1 = require("./data-model/stringify.js");
Object.defineProperty(exports, "stringifyMessage", { enumerable: true, get: function () { return stringify_js_1.stringifyMessage; } });
var type_guards_js_1 = require("./data-model/type-guards.js");
Object.defineProperty(exports, "isCatchallKey", { enumerable: true, get: function () { return type_guards_js_1.isCatchallKey; } });
Object.defineProperty(exports, "isExpression", { enumerable: true, get: function () { return type_guards_js_1.isExpression; } });
Object.defineProperty(exports, "isFunctionAnnotation", { enumerable: true, get: function () { return type_guards_js_1.isFunctionAnnotation; } });
Object.defineProperty(exports, "isLiteral", { enumerable: true, get: function () { return type_guards_js_1.isLiteral; } });
Object.defineProperty(exports, "isMarkup", { enumerable: true, get: function () { return type_guards_js_1.isMarkup; } });
Object.defineProperty(exports, "isMessage", { enumerable: true, get: function () { return type_guards_js_1.isMessage; } });
Object.defineProperty(exports, "isPatternMessage", { enumerable: true, get: function () { return type_guards_js_1.isPatternMessage; } });
Object.defineProperty(exports, "isSelectMessage", { enumerable: true, get: function () { return type_guards_js_1.isSelectMessage; } });
Object.defineProperty(exports, "isUnsupportedAnnotation", { enumerable: true, get: function () { return type_guards_js_1.isUnsupportedAnnotation; } });
Object.defineProperty(exports, "isVariableRef", { enumerable: true, get: function () { return type_guards_js_1.isVariableRef; } });
var validate_js_1 = require("./data-model/validate.js");
Object.defineProperty(exports, "validate", { enumerable: true, get: function () { return validate_js_1.validate; } });
var visit_js_1 = require("./data-model/visit.js");
Object.defineProperty(exports, "visit", { enumerable: true, get: function () { return visit_js_1.visit; } });
var errors_js_1 = require("./errors.js");
Object.defineProperty(exports, "MessageDataModelError", { enumerable: true, get: function () { return errors_js_1.MessageDataModelError; } });
Object.defineProperty(exports, "MessageError", { enumerable: true, get: function () { return errors_js_1.MessageError; } });
Object.defineProperty(exports, "MessageResolutionError", { enumerable: true, get: function () { return errors_js_1.MessageResolutionError; } });
Object.defineProperty(exports, "MessageSelectionError", { enumerable: true, get: function () { return errors_js_1.MessageSelectionError; } });
Object.defineProperty(exports, "MessageSyntaxError", { enumerable: true, get: function () { return errors_js_1.MessageSyntaxError; } });
var messageformat_js_1 = require("./messageformat.js");
Object.defineProperty(exports, "MessageFormat", { enumerable: true, get: function () { return messageformat_js_1.MessageFormat; } });
